# zotero-bibtize

Refurbish exported Zotero-BibTex bibliographies into a more ![latex] friendly representation.

In the current state exporting the contents of a Zotero database to Bibtex
format most special characters are replaced by Zotero internal versions or
escaped before written to the output file. This behavior is exceptionally
annoying if entries contain code which is meant to be processed by ![latex]
(i.e. chemical or mathematical expressions and formulas in the title, etc.).

`zotero-bibtize` can be used to post-process the generated Zotero output files
and remove added escape sequences (i.e. the output is an identical replica
of the raw entry contents stored in the Zotero interface)

## Example
Bibtex entry generated by Zotero:
```
@article{LangCM2015,
  title = {Lithium {Ion} {Conduction} in {\textbackslash}ce\{{LiTi}2({PO}4)3\} and {Related} {Compounds} {Based} on the \{{NASICON}\} {Structure}: {A} {First}-{Principles} {Study}},
  volume = {27},
  issn = {0897-4756, 1520-5002},
  shorttitle = {Lithium {Ion} {Conduction} in {\textbackslash}ce\{{LiTi}2({PO}4)3\} and {Related} {Compounds} {Based} on the {NASICON} {Structure}},
  url = {http://pubs.acs.org/doi/10.1021/acs.chemmater.5b01582},
  doi = {10.1021/acs.chemmater.5b01582},
  language = {en},
  number = {14},
  urldate = {2019-02-11},
  journal = {Chem. Mater.},
  author = {Lang, Britta and Ziebarth, Benedikt and Els{\textbackslash}"\{a\}sser, Christian},
  month = jul,
  year = {2015},
  pages = {5040--5048}
}
```

After post-processing the file with `zotero-bibtize`:
```
@article{LangCM2015,
  title = {Lithium Ion Conduction in \ce{LiTi2(PO4)3} and Related Compounds Based on the NASICON Structure: A First-Principles Study},
  volume = {27},
  issn = {0897-4756, 1520-5002},
  shorttitle = {Lithium Ion Conduction in \ce{LiTi2(PO4)3} and Related Compounds Based on the NASICON Structure},
  url = {http://pubs.acs.org/doi/10.1021/acs.chemmater.5b01582},
  doi = {10.1021/acs.chemmater.5b01582},
  language = {en},
  number = {14},
  urldate = {2019-02-11},
  journal = {Chem. Mater.},
  author = {Lang, Britta and Ziebarth, Benedikt and Els\"{a}sser, Christian},
  month = jul,
  year = {2015},
  pages = {5040--5048}
}
```

[latex]: http://chart.apis.google.com/chart?cht=tx&chl=\LaTeX
